Bug 91073 - Wake-up from power save causes a distorted screen with Riva 128
Wake-up from power save causes a distorted screen with Riva 128
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 07:07 EDT by Godi
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 4.3.0-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-30 04:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Godi 2003-05-17 07:07:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
After the computer (Dell Precision 610 with Riva 128 graphics adapter w/ 4 MB
RAM) is restored from power save mode (no screensaver, BIOS power management
disabled), the picture is distorted (most of the inital picture is replaced by
random noise; Redhat 8 with identical settings of XF86config still works fine on
the same machine).

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2

How reproducible:
Always

Steps to Reproduce:
1.Start X (as window manager, KDE and Gnome have been tested)
2.Wait for powersave
3.Wake-up computer and watch screen
    

Actual Results:  Screen is distorted from the inital state it had before power
save sets in. After a "swipe" over the screen with an open window or a refresh
of the window manager, everything is back to normal. 

Additional info:

There was a bug reported for FreeBSD that caused Xfree86 to crash completely
with Riva 128 graphics adapters. This bug was treated as bugzilla bug #71 by the
Xfree86 team, and a patch was released for bugfix release 4.3.0.1.
Comment 1 Mike A. Harris 2003-05-17 08:15:38 EDT
Ok, I just checked, and that fix isn't in my rawhide packages yet.

Here is the checkin log though:

Date: Thu, 8 May 2003 19:17:50 -0700 (PDT)
From: David Dawes <dawes@XFree86.Org>
To: cvs-commit@XFree86.Org
List-Id: CVS commit messages from the XFree86 repository.  This is a read-only
list and you must be subscribed to it to receive messages.
    <cvs-commit.XFree86.Org>
Subject: CVS Update: xc (branch: xf-4_3-branch)

CVSROOT:        /home/x-cvs
Module name:    xc
Changes by:     dawes@public.xfree86.org.       03/05/08 19:17:50

Log message:
   985. Fix a SEGV that can happen with Riva128 cards (Mark Vojkovich).

Modified files:
      xc/programs/Xserver/hw/xfree86/drivers/nv/:       Tag: xf-4_3-branch
        nv_setup.c

  Revision      Changes    Path
  1.27.2.1      +4 -2      xc/programs/Xserver/hw/xfree86/drivers/nv/nv_setup.c



I'll add this to rawhide very soon.  Thanks for the info.
Comment 2 Mike A. Harris 2003-05-30 04:40:35 EDT
Fixed in 4.3.0-13 in RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.